# Type alias ProcessorRunner<C>

ProcessorRunner<C>: (<A, T, R>(processor, ...args) => Promise<T>)

#### Type Parameters

- #### C extends Meta.Collections

#### Type declaration

- - <A, T, R>(processor, ...args): Promise<T>

  - #### Type Parameters

    - #### A extends unknown[]

    - #### T = any

    - #### R extends RequestType<C> | undefined = undefined

    #### Parameters

    - ##### processor: Processor<C, A, T, R>

    - ##### `Rest` ...args: A

    #### Returns Promise<T>

- Defined in packages/db/src/meta/process/run.ts:19

Generated using TypeDoc